Link unlinked photos to a capture
curl --request POST \
--url https://www.closient.com/scanner/api/v1/sessions/{session_id}/photos/link-capture \
--header 'Content-Type: application/json' \
--header 'X-API-Key: <api-key>' \
--data '
{
"capture_short_id": "cap-a1b2c3"
}
'import requests
url = "https://www.closient.com/scanner/api/v1/sessions/{session_id}/photos/link-capture"
payload = { "capture_short_id": "cap-a1b2c3" }
headers = {
"X-API-Key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'X-API-Key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({capture_short_id: 'cap-a1b2c3'})
};
fetch('https://www.closient.com/scanner/api/v1/sessions/{session_id}/photos/link-capture', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{}{
"detail": "The requested resource was not found.",
"error_code": "not_found",
"retryable": false,
"status": 404,
"timestamp": "2026-03-31T12:00:00+00:00",
"title": "Not Found",
"type": "https://closient.com/docs/errors/not_found"
}{
"detail": "The requested resource was not found.",
"error_code": "not_found",
"retryable": false,
"status": 404,
"timestamp": "2026-03-31T12:00:00+00:00",
"title": "Not Found",
"type": "https://closient.com/docs/errors/not_found"
}{
"detail": "The requested resource was not found.",
"error_code": "not_found",
"retryable": false,
"status": 404,
"timestamp": "2026-03-31T12:00:00+00:00",
"title": "Not Found",
"type": "https://closient.com/docs/errors/not_found"
}{
"detail": "The requested resource was not found.",
"error_code": "not_found",
"retryable": false,
"status": 404,
"timestamp": "2026-03-31T12:00:00+00:00",
"title": "Not Found",
"type": "https://closient.com/docs/errors/not_found"
}{
"detail": "The requested resource was not found.",
"error_code": "not_found",
"retryable": false,
"status": 404,
"timestamp": "2026-03-31T12:00:00+00:00",
"title": "Not Found",
"type": "https://closient.com/docs/errors/not_found"
}{
"detail": "The requested resource was not found.",
"error_code": "not_found",
"retryable": false,
"status": 404,
"timestamp": "2026-03-31T12:00:00+00:00",
"title": "Not Found",
"type": "https://closient.com/docs/errors/not_found"
}{
"detail": "The requested resource was not found.",
"error_code": "not_found",
"retryable": false,
"status": 404,
"timestamp": "2026-03-31T12:00:00+00:00",
"title": "Not Found",
"type": "https://closient.com/docs/errors/not_found"
}Scanner Photos
Link unlinked photos to a capture
Link all unlinked session photos to a specific barcode capture.
POST
/
scanner
/
api
/
v1
/
sessions
/
{session_id}
/
photos
/
link-capture
Link unlinked photos to a capture
Authorizations
APIKeyHeaderAuthOAuthTokenAuthCookieGatedSessionAuth
Path Parameters
Unique session short_id identifier.
Body
application/json
Request body for linking unlinked photos to a capture.
Slug of the barcode capture to link photos to.
Response
OK
The response is of type Response · object.